package com.fs.ai.service;

import com.baidubce.appbuilder.model.agentbuilder.AgentBuilderResult;
import com.baidubce.appbuilder.model.dataset.DocumentListResponse;
import com.fs.ai.vo.BaiduAIMsgVO;
import com.fs.ai.vo.BaiduAITokenVO;

public interface IBaiduAIService {
    BaiduAITokenVO getToken();
    BaiduAIMsgVO callAI(String msg);
    String createDataset(String datasetName);
    void delDocument(String datasetId, String docId);
    String[] addDocument(String datasetId, String filePath);
    DocumentListResponse getDocument(String datasetId,int page, int limit, String keywork);
    AgentBuilderResult run(String appId,String msg);
}
